package com.cyx.base;

import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import com.cyx.log.EventLog;
import com.jfinal.plugin.activerecord.Db;
import com.jfinal.plugin.activerecord.Record;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author Created by cyx.zhang Administrator on 2023/10/24 15:06 周二
 * @Description: TOTO
 */
public class BaseCow {

  /**
   * 修复父亲、母亲
   * @param arrayList
   * @param sourceCow
   */
  public static void syncBaseCowFMData(JSONArray arrayList, Long sourceCow) {
    if (null != arrayList && arrayList.size() > 0) {
      //根据牛场查询所有的牛只信息
      List<String> cowList = Db.query("select cow_no as cowNo from t_base_cow where source_cow='" + sourceCow + "'");
      Map<String, String> cowMap = new HashMap<>();
      for (String i : cowList) {
        cowMap.put(i.toUpperCase(), i.toUpperCase());
      }
      for(Object l : arrayList) {
        JSONObject i = (JSONObject) l;
        if (null != cowMap.get(i.getString("cowName"))) {
          //父亲
          if(!"".equals(i.getString("sid")) && null != i.getString("sid")){
            String sql = "update t_base_cow set father='"+i.getString("sid")+"' where source_cow='"+sourceCow+"' and cow_no = '"+i.getString("cowName").trim().toUpperCase()+"'";
            EventLog.info("...修复父亲...SQL..."+sql);
            //修改
            Db.update(sql);
          }
          //母亲
          if(!"".equals(i.getString("did")) && null != i.getString("did")){
            String sql = "update t_base_cow set mother='"+i.getString("did")+"' where source_cow='"+sourceCow+"' and cow_no = '"+i.getString("cowName").trim().toUpperCase()+"'";
            EventLog.info("...修复母亲...SQL..."+sql);
            //修改
            Db.update(sql);
          }
        }
      }
    }
  }

  /**
   * 修复外祖父、外祖母
   * @param arrayList
   * @param sourceCow
   */
  public static void syncBaseCowGrandFMData(JSONArray arrayList, Long sourceCow) {
    if (null != arrayList && arrayList.size() > 0) {
      //根据牛场查询所有的牛只信息
      List<String> cowList = Db.query("select cow_no as cowNo from t_base_cow where source_cow='" + sourceCow + "'");
      Map<String, String> cowMap = new HashMap<>();
      for (String i : cowList) {
        cowMap.put(i.toUpperCase(), i.toUpperCase());
      }
      for(Object l : arrayList) {
        JSONObject i = (JSONObject) l;
        if (null != cowMap.get(i.getString("cowName"))) {
          // 外祖父
          if(!"".equals(i.getString("mgsid")) && null != i.getString("mgsid")){
            String sql = "update t_base_cow set grand_father='"+i.getString("mgsid")+"' where source_cow='"+sourceCow+"' and cow_no = '"+i.getString("cowName").trim().toUpperCase()+"'";
            EventLog.info("...修复外祖父...SQL..."+sql);
            //修改
            Db.update(sql);
          }
          // 外祖母
          if(!"".equals(i.getString("mgdid")) && null != i.getString("mgdid")){
            String sql = "update t_base_cow set grand_mother='"+i.getString("mgdid")+"' where source_cow='"+sourceCow+"' and cow_no = '"+i.getString("cowName").trim().toUpperCase()+"'";
            EventLog.info("...修复外祖母...SQL..."+sql);
            //修改
            Db.update(sql);
          }
        }
      }
    }
  }

  /**
   * 调整圈舍
   * @param arrayList
   * @param sourceCow
   */
  public static void syncBaseCowShedData(JSONArray arrayList, Long sourceCow) {
    int count = 0;
    EventLog.info("...总共("+arrayList.size()+")头...");
    if (null != arrayList && arrayList.size() > 0) {
      //根据牛场查询所有的牛只信息
      List<String> cowList = Db.query("select cow_no as cowNo from t_base_cow where source_cow='" + sourceCow + "'");
      Map<String, String> cowMap = new HashMap<>();
      for (String i : cowList) {
        cowMap.put(i.toUpperCase(), i.toUpperCase());
      }
      //根据牛场查询圈舍信息
      List<Record> cowshedList = Db.find("select id as Id,cowshed_name as cowshedName from t_base_cowshed where wether_tmr <> '1' and source_cow='"+sourceCow+"'");
      Map<String,String> cowshedMap = new HashMap<>();
      for(Record i : cowshedList){
        cowshedMap.put(i.getStr("cowshedName"),i.getStr("Id"));
      }
      for(Object l : arrayList) {
        JSONObject i = (JSONObject) l;
        EventLog.info("...剩余("+(arrayList.size()-count)+")头...("+i.getString("cowName")+")...");
        if (null != cowMap.get(i.getString("cowName"))) {
          StringBuffer sb = new StringBuffer();
          //判断圈舍
          if (null == cowshedMap.get(i.getString("pen"))) {
            //新增圈舍
            Db.update("insert into t_base_cowshed(source_cow,cowshed_name,del_flag) values('" + sourceCow + "','" + i.getString("pen") + "','0')");
            //根据圈舍名称查询对应的ID
            Record record2 = Db.findFirst("select id as Id from t_base_cowshed where source_cow='" + sourceCow + "' and cowshed_name='" + i.getString("pen") + "'");
            cowshedMap.put(i.getString("pen"), record2.getStr("Id"));
            sb.append("update t_base_cow set cowshed_id='"+record2.getStr("Id")+"'");
          } else {
            sb.append("update t_base_cow set cowshed_id='"+cowshedMap.get(i.getString("pen"))+"'");
          }
          sb.append(" where source_cow='"+sourceCow+"' and cow_no = '"+i.getString("cowName").trim().toUpperCase()+"'");
          String sql = sb.toString();
          EventLog.info("...调整圈舍...SQL..."+sql);
          //修改
          Db.update(sql);
        }
        count ++;
      }
    }
  }

  /**
   * 处理牛只基础信息
   * @param arrayList
   * @param sourceCow
   */
  public static void syncBaseCowData(JSONArray arrayList, Long sourceCow) {
    if(null != arrayList && arrayList.size()>0){
      //根据牛场查询圈舍信息
      List<Record> cowshedList = Db.find("select id as Id,cowshed_name as cowshedName from t_base_cowshed where wether_tmr <> '1' and source_cow='"+sourceCow+"'");
      Map<String,String> cowshedMap = new HashMap<>();
      for(Record i : cowshedList){
        cowshedMap.put(i.getStr("cowshedName"),i.getStr("Id"));
      }
      for(Object l : arrayList){
        JSONObject i = (JSONObject) l;
        Record record = Db.findFirst("select cow_no as cowNo from t_base_cow where source_cow='"+sourceCow+"' and cow_no='"+i.getString("cowName").trim().toUpperCase()+"'");
        //牛只表处理
        if(null == record){
          StringBuffer sb = new StringBuffer();
          sb.append("insert into t_base_cow(source_cow,cow_no,birth_time,come_time,sex,cowshed_id");
          if(!"".equals(i.getString("reg")) && null != i.getString("reg")){
            sb.append(",regedit_no");
          }
          //出生体重，入场体重
          if(!"0".equals(i.getString("birthWeight")) && null != i.getString("birthWeight")){
            sb.append(",birth_weight,come_weight");
          }
          //品种品系
          if("H".equals(i.getString("cbrd"))){
            sb.append(",cow_type");
          }
          //父亲
          if(!"".equals(i.getString("sid")) && null != i.getString("sid")){
            sb.append(",father");
          }
          //母亲
          if(!"".equals(i.getString("did")) && null != i.getString("did")){
            sb.append(",mother");
          }
          //外祖父
          if(!"".equals(i.getString("mgsid")) && null != i.getString("mgsid")){
            sb.append(",grand_father");
          }
          //外祖母
          if(!"".equals(i.getString("mgdid")) && null != i.getString("mgdid")){
            sb.append(",grand_mother");
          }
          //拼值
          sb.append(") values ('"+sourceCow+"','"+i.getString("cowName").trim().toUpperCase()+"','"+i.getString("bdat")+"','"+i.getString("bdat")+"'");
          //性别  1：公  2：母
          if("1".equals(i.getString("sex"))){
            sb.append(",'2'");
          }else{
            sb.append(",'1'");
          }
          //判断圈舍
          if (null == cowshedMap.get(i.getString("pen"))) {
            //新增圈舍
            Db.update("insert into t_base_cowshed(source_cow,cowshed_name,del_flag) values('" + sourceCow + "','" + i.getString("pen") + "','0')");
            //根据圈舍名称查询对应的ID
            Record record2 = Db.findFirst("select id as Id from t_base_cowshed where source_cow='" + sourceCow + "' and cowshed_name='" + i.getString("pen") + "'");
            cowshedMap.put(i.getString("pen"), record2.getStr("Id"));
            sb.append(",'"+record2.getStr("Id")+"'");
          } else {
            sb.append(",'"+cowshedMap.get(i.getString("pen"))+"'");
          }
          //注册号
          if(!"".equals(i.getString("reg")) && null != i.getString("reg")){
            sb.append(",'"+i.getString("reg")+"'");
          }
          //出生体重，入场体重
          if(!"0".equals(i.getString("birthWeight")) && null != i.getString("birthWeight")){
            sb.append(",'"+i.getString("birthWeight")+"'");
            sb.append(",'"+i.getString("birthWeight")+"'");
          }
          //品种品系
          if("H".equals(i.getString("cbrd"))){
            sb.append(",'荷斯坦'");
          }
          //父亲
          if(!"".equals(i.getString("sid")) && null != i.getString("sid")){
            sb.append(",'"+i.getString("sid")+"'");
          }
          //母亲
          if(!"".equals(i.getString("did")) && null != i.getString("did")){
            sb.append(",'"+i.getString("did")+"'");
          }
          // 外祖父
          if(!"".equals(i.getString("mgsid")) && null != i.getString("mgsid")){
            sb.append(",'"+i.getString("mgsid")+"'");
          }
          // 外祖母
          if(!"".equals(i.getString("mgdid")) && null != i.getString("mgdid")){
            sb.append(",'"+i.getString("mgdid")+"'");
          }
          sb.append(")");
          String sql = sb.toString();
          EventLog.info("...牛只...新增...SQL..."+sql);
          //新增
          Db.update(sql);
        }else {
          StringBuffer sb = new StringBuffer();
          sb.append("update t_base_cow set birth_time='"+i.getString("bdat")+"',come_time='"+i.getString("bdat")+"'");
          if(!"".equals(i.getString("reg")) && null != i.getString("reg")){
            sb.append(",regedit_no='"+i.getString("reg")+"'");
          }
          //性别
          if("1".equals(i.getString("sex"))){
            sb.append(",sex='2'");//母
          }else{
            sb.append(",sex='1'");//公
          }
          //判断圈舍
          if (null == cowshedMap.get(i.getString("pen"))) {
            //新增圈舍
            Db.update("insert into t_base_cowshed(source_cow,cowshed_name,del_flag) values('" + sourceCow + "','" + i.getString("pen") + "','0')");
            //根据圈舍名称查询对应的ID
            Record record2 = Db.findFirst("select id as Id from t_base_cowshed where source_cow='" + sourceCow + "' and cowshed_name='" + i.getString("pen") + "'");
            cowshedMap.put(i.getString("pen"), record2.getStr("Id"));
            sb.append(",cowshed_id='"+record2.getStr("Id")+"'");
          } else {
            sb.append(",cowshed_id='"+cowshedMap.get(i.getString("pen"))+"'");
          }
          //出生体重，入场体重
          if(!"0".equals(i.getString("birthWeight")) && null != i.getString("birthWeight")){
            sb.append(",birth_weight='"+i.getString("birthWeight")+"',come_weight='"+i.getString("birthWeight")+"'");
          }
          //品种品系
          if("H".equals(i.getString("cbrd"))){
            sb.append(",cow_type='荷斯坦'");
          }
          //父亲
          if(!"".equals(i.getString("sid")) && null != i.getString("sid")){
            sb.append(",father='"+i.getString("sid")+"'");
          }
          //母亲
          if(!"".equals(i.getString("did")) && null != i.getString("did")){
            sb.append(",mother='"+i.getString("did")+"'");
          }
          //外祖父
          if(!"".equals(i.getString("mgsid")) && null != i.getString("mgsid")){
            sb.append(",grand_father='"+i.getString("mgsid")+"'");
          }
          //外祖母
          if(!"".equals(i.getString("mgdid")) && null != i.getString("mgdid")){
            sb.append(",grand_mother='"+i.getString("mgdid")+"'");
          }
          sb.append(" where source_cow='"+sourceCow+"' and cow_no = '"+i.getString("cowName").trim().toUpperCase()+"'");
          String sql = sb.toString();
          EventLog.info("...牛只...修改...SQL..."+sql);
          //修改
          Db.update(sql);
        }
      }
    }
  }


  /**
   * 处理牛只基础信息（不包含照片）和繁育信息及胎次信息
   * @param arrayList
   * @param sourceCow
   */
  public static void syncBaseCowAndBreedAndParityData(JSONArray arrayList, Long sourceCow) {
    int count = 0;
    EventLog.info("...总共("+arrayList.size()+")头...");
    if(null != arrayList && arrayList.size()>0){
      //根据牛场查询圈舍信息
      List<Record> cowshedList = Db.find("select id as Id,cowshed_name as cowshedName from t_base_cowshed where wether_tmr <> '1' and source_cow='"+sourceCow+"'");
      Map<String,String> cowshedMap = new HashMap<>();
      for(Record i : cowshedList){
        cowshedMap.put(i.getStr("cowshedName"),i.getStr("Id"));
      }
      for(Object l : arrayList){
        JSONObject i = (JSONObject) l;
        EventLog.info("...剩余("+(arrayList.size()-count)+")头...("+i.getString("cowName")+")...");
        Record record = Db.findFirst("select cow_no as cowNo from t_base_cow where source_cow='"+sourceCow+"' and cow_no='"+i.getString("cowName").trim().toUpperCase()+"'");
        //牛只表处理
        if(null == record){
          StringBuffer sb = new StringBuffer();
          sb.append("insert into t_base_cow(source_cow,cow_no,birth_time,come_time,sex,cowshed_id");
          if(!"".equals(i.getString("reg")) && null != i.getString("reg")){
            sb.append(",regedit_no");
          }
          //出生体重，入场体重
          if(!"0".equals(i.getString("birthWeight")) && null != i.getString("birthWeight")){
            sb.append(",birth_weight,come_weight");
          }
          //品种品系
          if("H".equals(i.getString("cbrd"))){
            sb.append(",cow_type");
          }
          //父亲
          if(!"".equals(i.getString("sid")) && null != i.getString("sid")){
            sb.append(",father");
          }
          //母亲
          if(!"".equals(i.getString("did")) && null != i.getString("did")){
            sb.append(",mother");
          }
          // 外祖父
          if(!"".equals(i.getString("mgsid")) && null != i.getString("mgsid")){
            sb.append(",grand_father");
          }
          // 外祖母
          if(!"".equals(i.getString("mgdid")) && null != i.getString("mgdid")){
            sb.append(",grand_mother");
          }
          //拼值
          sb.append(") values ('"+sourceCow+"','"+i.getString("cowName").trim().toUpperCase()+"','"+i.getString("bdat")+"','"+i.getString("bdat")+"'");
          //性别  1：公  2：母
          if("1".equals(i.getString("sex"))){
            sb.append(",'2'");
          }else{
            sb.append(",'1'");
          }
          //判断圈舍
          if (null == cowshedMap.get(i.getString("pen"))) {
            //新增圈舍
            Db.update("insert into t_base_cowshed(source_cow,cowshed_name,del_flag) values('" + sourceCow + "','" + i.getString("pen") + "','0')");
            //根据圈舍名称查询对应的ID
            Record record2 = Db.findFirst("select id as Id from t_base_cowshed where source_cow='" + sourceCow + "' and cowshed_name='" + i.getString("pen") + "'");
            cowshedMap.put(i.getString("pen"), record2.getStr("Id"));
            sb.append(",'"+record2.getStr("Id")+"'");
          } else {
            sb.append(",'"+cowshedMap.get(i.getString("pen"))+"'");
          }
          //注册号
          if(!"".equals(i.getString("reg")) && null != i.getString("reg")){
            sb.append(",'"+i.getString("reg")+"'");
          }
          //出生体重，入场体重
          if(!"0".equals(i.getString("birthWeight")) && null != i.getString("birthWeight")){
            sb.append(",'"+i.getString("birthWeight")+"'");
            sb.append(",'"+i.getString("birthWeight")+"'");
          }
          //品种品系
          if("H".equals(i.getString("cbrd"))){
            sb.append(",'荷斯坦'");
          }
          //父亲
          if(!"".equals(i.getString("sid")) && null != i.getString("sid")){
            sb.append(",'"+i.getString("sid")+"'");
          }
          //母亲
          if(!"".equals(i.getString("did")) && null != i.getString("did")){
            sb.append(",'"+i.getString("did")+"'");
          }
          // 外祖父
          if(!"".equals(i.getString("mgsid")) && null != i.getString("mgsid")){
            sb.append(",'"+i.getString("mgsid")+"'");
          }
          // 外祖母
          if(!"".equals(i.getString("mgdid")) && null != i.getString("mgdid")){
            sb.append(",'"+i.getString("mgdid")+"'");
          }
          sb.append(")");
          String sql = sb.toString();
          //新增
          Db.update(sql);
        }else {
          StringBuffer sb = new StringBuffer();
          sb.append("update t_base_cow set birth_time='"+i.getString("bdat")+"',come_time='"+i.getString("bdat")+"'");
          if(!"".equals(i.getString("reg")) && null != i.getString("reg")){
            sb.append(",regedit_no='"+i.getString("reg")+"'");
          }
          //性别
          if("1".equals(i.getString("sex"))){
            sb.append(",sex='2'");//母
          }else{
            sb.append(",sex='1'");//公
          }
          //判断圈舍
          if (null == cowshedMap.get(i.getString("pen"))) {
            //新增圈舍
            Db.update("insert into t_base_cowshed(source_cow,cowshed_name,del_flag) values('" + sourceCow + "','" + i.getString("pen") + "','0')");
            //根据圈舍名称查询对应的ID
            Record record2 = Db.findFirst("select id as Id from t_base_cowshed where source_cow='" + sourceCow + "' and cowshed_name='" + i.getString("pen") + "'");
            cowshedMap.put(i.getString("pen"), record2.getStr("Id"));
            sb.append(",cowshed_id='"+record2.getStr("Id")+"'");
          } else {
            sb.append(",cowshed_id='"+cowshedMap.get(i.getString("pen"))+"'");
          }
          //出生体重，入场体重
          if(!"0".equals(i.getString("birthWeight")) && null != i.getString("birthWeight")){
            sb.append(",birth_weight='"+i.getString("birthWeight")+"',come_weight='"+i.getString("birthWeight")+"'");
          }
          //品种品系
          if("H".equals(i.getString("cbrd"))){
            sb.append(",cow_type='荷斯坦'");
          }
          //父亲
          if(!"".equals(i.getString("sid")) && null != i.getString("sid")){
            sb.append(",father='"+i.getString("sid")+"'");
          }
          //母亲
          if(!"".equals(i.getString("did")) && null != i.getString("did")){
            sb.append(",mother='"+i.getString("did")+"'");
          }
          // 外祖父
          if(!"".equals(i.getString("mgsid")) && null != i.getString("mgsid")){
            sb.append(",grand_father='"+i.getString("mgsid")+"'");
          }
          // 外祖母
          if(!"".equals(i.getString("mgdid")) && null != i.getString("mgdid")){
            sb.append(",grand_mother='"+i.getString("mgdid")+"'");
          }
          sb.append(" where source_cow='"+sourceCow+"' and cow_no = '"+i.getString("cowName").trim().toUpperCase()+"'");
          String sql = sb.toString();
          //修改
          Db.update(sql);
        }


        //繁育表处理
        if("1".equals(i.getString("sex"))){//表示母牛
          Record record1 = Db.findFirst("select cow_no as cowNo from t_breed_main where source_cow='"+sourceCow+"' and cow_no='"+i.getString("cowName").trim().toUpperCase()+"'");
          //繁育表
          if(null == record1){
            StringBuffer sb = new StringBuffer();
            sb.append("insert into t_breed_main(source_cow,cow_no,cowshed,breed_code");
            if("7".equals(i.getString("rc")) || "8".equals(i.getString("rc"))){
              sb.append(",breed_status");//死淘
            }
            if("2".equals(i.getString("rc"))||"3".equals(i.getString("rc"))||"4".equals(i.getString("rc"))){
              sb.append(",breed_status");//配后
            }
            if("5".equals(i.getString("rc"))||"6".equals(i.getString("rc"))){
              sb.append(",breed_status");//产后
            }
            if(!"".equals(i.getInteger("lact")) && null != i.getInteger("lact")){
              sb.append(",parity");//胎次
            }else {
              sb.append(",parity");//胎次
            }
            //产犊日期
            if(!"".equals(i.getString("freshDate")) && null != i.getString("freshDate")){
              sb.append(",lately_calving_date");
            }
            //配种日期
            if(!"".equals(i.getString("bredDate")) && null != i.getString("bredDate")){
              sb.append(",lately_breed_date");
            }
            //配种次数
            if(!"".equals(i.getString("bredTimes")) && null != i.getString("bredTimes")){
              sb.append(",lately_breed_number");
            }
            //复检日期
            if(!"".equals(i.getString("predDate")) && null != i.getString("predDate")){
              sb.append(",lately_gestation_date");
            }
            //干奶日期
            if(!"".equals(i.getString("dryDate")) && null != i.getString("dryDate")){
              sb.append(",lately_dried_date");
            }
            //流产日期
            if(!"".equals(i.getString("abortDate")) && null != i.getString("abortDate")){
              sb.append(",lately_abortion_date");
            }
            //怀孕日期
            if(!"".equals(i.getString("pregDate")) && null != i.getString("pregDate")){
              sb.append(",preg_date");
            }
            //拼值
            sb.append(") values ('"+sourceCow+"','"+i.getString("cowName").trim().toUpperCase()+"','"+i.getString("pen")+"','"+i.getString("rc")+"'");

            if("7".equals(i.getString("rc")) || "8".equals(i.getString("rc"))){
              sb.append(",'3'");//死淘
            }
            if("2".equals(i.getString("rc"))||"3".equals(i.getString("rc"))||"4".equals(i.getString("rc"))){
              sb.append(",'2'");//配后
            }
            if("5".equals(i.getString("rc"))||"6".equals(i.getString("rc"))){
              sb.append(",'1'");//产后
            }
            if(!"".equals(i.getInteger("lact")) && null != i.getInteger("lact")){
              sb.append(",'"+i.getInteger("lact")+"'");//胎次
            }else {
              sb.append(",'0'");//胎次
            }
            //产犊日期
            if(!"".equals(i.getString("freshDate")) && null != i.getString("freshDate")){
              sb.append(",'"+i.getString("freshDate")+"'");
            }
            //配种日期
            if(!"".equals(i.getString("bredDate")) && null != i.getString("bredDate")){
              sb.append(",'"+i.getString("bredDate")+"'");
            }
            //配种次数
            if(!"".equals(i.getString("bredTimes")) && null != i.getString("bredTimes")){
              sb.append(",'"+i.getString("bredTimes")+"'");
            }
            //复检日期
            if(!"".equals(i.getString("predDate")) && null != i.getString("predDate")){
              sb.append(",'"+i.getString("predDate")+"'");
            }
            //干奶日期
            if(!"".equals(i.getString("dryDate")) && null != i.getString("dryDate")){
              sb.append(",'"+i.getString("dryDate")+"'");
            }
            //流产日期
            if(!"".equals(i.getString("abortDate")) && null != i.getString("abortDate")){
              sb.append(",'"+i.getString("abortDate")+"'");
            }
            //怀孕日期
            if(!"".equals(i.getString("pregDate")) && null != i.getString("pregDate")){
              sb.append(",'"+i.getString("pregDate")+"'");
            }
            sb.append(")");
            String sql = sb.toString();
            //新增
            Db.update(sql);

          }else{
            StringBuffer sb = new StringBuffer();
            sb.append("update t_breed_main set cowshed='"+i.getString("pen")+"',breed_code='"+i.getString("rc")+"'");
            if("7".equals(i.getString("rc")) || "8".equals(i.getString("rc"))){
              sb.append(",breed_status='3'");//死淘
            }
            if("2".equals(i.getString("rc"))||"3".equals(i.getString("rc"))||"4".equals(i.getString("rc"))){
              sb.append(",breed_status='2'");//配后
            }
            if("5".equals(i.getString("rc"))||"6".equals(i.getString("rc"))){
              sb.append(",breed_status='1'");//产后
            }
            if(!"".equals(i.getInteger("lact")) && null != i.getInteger("lact")){
              sb.append(",parity='"+i.getInteger("lact")+"'");//胎次
            }else {
              sb.append(",parity='0'");//胎次
            }
            //产犊日期
            if(!"".equals(i.getString("freshDate")) && null != i.getString("freshDate")){
              sb.append(",lately_calving_date='"+i.getString("freshDate")+"'");
            }
            //配种日期
            if(!"".equals(i.getString("bredDate")) && null != i.getString("bredDate")){
              sb.append(",lately_breed_date='"+i.getString("bredDate")+"'");
            }
            //配种次数
            if(!"".equals(i.getString("bredTimes")) && null != i.getString("bredTimes")){
              sb.append(",lately_breed_number='"+i.getString("bredTimes")+"'");
            }
            //复检日期
            if(!"".equals(i.getString("predDate")) && null != i.getString("predDate")){
              sb.append(",lately_gestation_date='"+i.getString("predDate")+"'");
            }
            //干奶日期
            if(!"".equals(i.getString("dryDate")) && null != i.getString("dryDate")){
              sb.append(",lately_dried_date='"+i.getString("dryDate")+"'");
            }
            //流产日期
            if(!"".equals(i.getString("abortDate")) && null != i.getString("abortDate")){
              sb.append(",lately_abortion_date='"+i.getString("abortDate")+"'");
            }
            //怀孕日期
            if(!"".equals(i.getString("pregDate")) && null != i.getString("pregDate")){
              sb.append(",preg_date='"+i.getString("pregDate")+"'");
            }
            sb.append(" where source_cow='"+sourceCow+"' and cow_no = '"+i.getString("cowName").trim().toUpperCase()+"'");
            String sql = sb.toString();
            //修改
            Db.update(sql);
          }

          Record record2 = Db.findFirst("select cow_no as cowNo,parity as parity from t_breed_parity where source_cow='"+sourceCow+"' and cow_no='"+i.getString("cowName")+"' and parity='"+i.getInteger("lact")+"' limit 1");
          //胎次表
          if(null == record2){
            StringBuffer sb = new StringBuffer();
            sb.append("insert into t_breed_parity(source_cow,cow_no");
            if(!"".equals(i.getInteger("lact")) && null != i.getInteger("lact")){
              sb.append(",parity");//胎次
            }else {
              sb.append(",parity");//胎次
            }
            //配种日期
            if(!"".equals(i.getString("bredDate")) && null != i.getString("bredDate")){
              sb.append(",breed_date");
            }
            //产犊日期
            if(!"".equals(i.getString("freshDate")) && null != i.getString("freshDate")){
              sb.append(",calve_date");
            }
            //干奶日期
            if(!"".equals(i.getString("dryDate")) && null != i.getString("dryDate")){
              sb.append(",dry_milk_date");
            }
            //怀孕日期
            if(!"".equals(i.getString("predDate")) && null != i.getString("predDate")){
              sb.append(",initial_survey_date");
              sb.append(",initial_survey_result");
            }
            //拼值
            sb.append(") values ('"+sourceCow+"','"+i.getString("cowName").trim().toUpperCase()+"'");
            if(!"".equals(i.getInteger("lact")) && null != i.getInteger("lact")){
              sb.append(",'"+i.getInteger("lact")+"'");//胎次
            }else {
              sb.append(",'0'");//胎次
            }
            //配种日期
            if(!"".equals(i.getString("bredDate")) && null != i.getString("bredDate")){
              sb.append(",'"+i.getString("bredDate")+"'");
            }
            //产犊日期
            if(!"".equals(i.getString("freshDate")) && null != i.getString("freshDate")){
              sb.append(",'"+i.getString("freshDate")+"'");
            }
            //干奶日期
            if(!"".equals(i.getString("dryDate")) && null != i.getString("dryDate")){
              sb.append(",'"+i.getString("dryDate")+"'");
            }
            //怀孕日期
            if(!"".equals(i.getString("predDate")) && null != i.getString("predDate")){
              sb.append(",'"+i.getString("predDate")+"'");
              sb.append(",'0'");
            }

            sb.append(")");
            String sql = sb.toString();
            //新增
            Db.update(sql);
          }else{
            StringBuffer sb = new StringBuffer();
            sb.append("update t_breed_parity set remark='同步更新（创耀信）'");
            //配种日期
            if(!"".equals(i.getString("bredDate")) && null != i.getString("bredDate")){
              sb.append(",breed_date='"+i.getString("bredDate")+"'");
            }
            //产犊日期
            if(!"".equals(i.getString("freshDate")) && null != i.getString("freshDate")){
              sb.append(",calve_date='"+i.getString("freshDate")+"'");
            }
            //干奶日期
            if(!"".equals(i.getString("dryDate")) && null != i.getString("dryDate")){
              sb.append(",dry_milk_date='"+i.getString("dryDate")+"'");
            }
            //怀孕日期
            if(!"".equals(i.getString("predDate")) && null != i.getString("predDate")){
              sb.append(",initial_survey_date='"+i.getString("predDate")+"'");
              sb.append(",initial_survey_result='0'");
            }
            sb.append(" where source_cow='"+sourceCow+"' and cow_no = '"+i.getString("cowName").trim().toUpperCase()+"' and parity='"+i.getInteger("lact")+"'");
            String sql = sb.toString();
            //修改
            Db.update(sql);
          }
        }
        count ++;
      }
    }
  }

  /**
   * 处理繁育信息(不包含胎次、产犊日期)
   * @param arrayList
   * @param sourceCow
   */
  public static void syncBreedData(JSONArray arrayList, Long sourceCow) {
    if(null != arrayList && arrayList.size()>0){
      int count = 0;
      for(Object l : arrayList){
        EventLog.info("...总量..." + arrayList.size()+"...条...剩余量..."+(arrayList.size()-count)+"...条...");
        JSONObject i = (JSONObject) l;
        //繁育表处理
        if("1".equals(i.getString("sex"))){//表示母牛
          Record record1 = Db.findFirst("select cow_no as cowNo from t_breed_main where source_cow='"+sourceCow+"' and cow_no='"+i.getString("cowName").trim().toUpperCase()+"'");
          //繁育表
          if(null != record1){
            StringBuffer sb = new StringBuffer();
            sb.append("update t_breed_main set cowshed='"+i.getString("pen")+"',breed_code='"+i.getString("rc")+"'");
            if("7".equals(i.getString("rc")) || "8".equals(i.getString("rc"))){
              sb.append(",breed_status='3'");//死淘
              sb.append(",del_flag='1'"); //离场
            }
            if("2".equals(i.getString("rc"))||"3".equals(i.getString("rc"))||"4".equals(i.getString("rc"))){
              sb.append(",breed_status='2'");//配后
            }
            if("5".equals(i.getString("rc"))||"6".equals(i.getString("rc"))){
              sb.append(",breed_status='1'");//产后
            }
            //配种日期
            if(!"".equals(i.getString("bredDate")) && null != i.getString("bredDate")){
              sb.append(",lately_breed_date='"+i.getString("bredDate")+"'");
            }
            //配种次数
            if(!"".equals(i.getString("bredTimes")) && null != i.getString("bredTimes")){
              sb.append(",lately_breed_number='"+i.getString("bredTimes")+"'");
            }
            //复检日期
            if(!"".equals(i.getString("predDate")) && null != i.getString("predDate")){
              sb.append(",lately_gestation_date='"+i.getString("predDate")+"'");
            }
            //干奶日期
            if(!"".equals(i.getString("dryDate")) && null != i.getString("dryDate")){
              sb.append(",lately_dried_date='"+i.getString("dryDate")+"'");
            }
            //流产日期
            if(!"".equals(i.getString("abortDate")) && null != i.getString("abortDate")){
              sb.append(",lately_abortion_date='"+i.getString("abortDate")+"'");
            }
            //怀孕日期
            if(!"".equals(i.getString("pregDate")) && null != i.getString("pregDate")){
              sb.append(",preg_date='"+i.getString("pregDate")+"'");
            }
            sb.append(" where source_cow='"+sourceCow+"' and cow_no = '"+i.getString("cowName").trim().toUpperCase()+"'");
            String sql = sb.toString();
            //修改
            Db.update(sql);
          }
        }
        count++;
      }
    }
  }
}
