package com.cyx.json;


import cn.hutool.json.JSONUtil;
import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;

/**
 * @Author Created by cyx.zhang Administrator on 2023/8/31 15:37 周四
 * @Description: TOTO
 */
public class EventJson {

  /**
   * 转群转圈
   * @param param
   * @return
   */
  public static JSONObject setParamTurn(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        //其他参数
        .set("currCowshedName",param.get("MOVE_OUT_PEN"))//转出牛舍
        .set("cowshedName",param.get("MOVE_IN_PEN"))//转入牛舍
        .set("reason",param.get("REM"))
        .set("cowshed",param.get("PEN"))//当前牛舍
        .set("cowType",param.get("COW_TYPE"))//牛舍类型
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 死亡（103）
   * @param param
   */
  public static JSONObject setParamDeath(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("cowshed",param.get("PEN"))//事件牛舍（当前牛舍）
        .set("cowType",param.get("COW_TYPE"))//事件牛舍类型(当前牛舍类型)
        .set("remark",param.get("REM"))
        //其他参数
        .set("leaveType",param.get("SOLD_TYPE"))//离场类型
        .set("outType","死亡")//淘汰类型
        .set("bodyWeight",param.get("WEIGHT"))//体重
        .set("outReason",param.get("DS_REASON"))//原因
        .set("destination",param.get("MOVE_OUT_GROUP"))//去向
        .set("saleAmount",param.get("PRICE"))//出售金额
        .set("carNum",param.get("BUS_NUMBER"))//运牛车牌号
        .set("dealer",param.get("AGENCY"))//经销商
        .set("insuranceCompany",param.get("SUPPLIER"))//保险公司
        .set("insuranceNumber",param.get("INSURANCE"))//保险号
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 淘汰（104）
   * @param param
   */
  public static JSONObject setParamWeedOut(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("cowshed",param.get("PEN"))//事件牛舍（当前牛舍）
        .set("cowType",param.get("COW_TYPE"))//事件牛舍类型(当前牛舍类型)
        .set("remark",param.get("REM"))
        //其他参数
        .set("leaveType",param.get("SOLD_TYPE"))//离场类型
        .set("outType","淘汰")//淘汰类型
        .set("bodyWeight",param.get("WEIGHT"))//体重
        .set("outReason",param.get("DS_REASON"))//原因
        .set("destination",param.get("MOVE_OUT_GROUP"))//去向
        .set("saleAmount",param.get("PRICE"))//出售金额
        .set("carNum",param.get("BUS_NUMBER"))//运牛车牌号
        .set("dealer",param.get("AGENCY"))//经销商
        .set("insuranceCompany",param.get("SUPPLIER"))//保险公司
        .set("insuranceNumber",param.get("INSURANCE"))//保险号
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }


  /**
   * 孕检
   * @param param
   * @return
   */
  public static JSONObject setParamPregnancy(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("cowshed",param.get("PRED_PEN"))//事件牛舍(孕检牛舍)
        .set("remark",param.get("REM"))
        //其他参数
        .set("result",param.get("PRED_RESULT"))//初检结果
        .set("eventWay","人工检测")//初检方式
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 复检
   * @param param
   * @return
   */
  public static JSONObject setParamReInspection(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("cowshed",param.get("PEN"))//事件牛舍（当前牛舍）
        .set("remark",param.get("REM"))
        //其他参数
        .set("result",param.get("PRED_RESULT"))//复检结果
        .set("eventNo",param.get("RECK_TIMES"))//复检次数
        .set("eventWay","人工检测")//初检方式
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 配种
   * @param param
   * @return
   */
  public static JSONObject setParamBreed(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("cowshed",param.get("BRED_PEN"))//事件牛舍(配种牛舍)
        .set("remark",param.get("REM"))
        //其他参数
        .set("semenName",param.get("BRED_BULL_NO"))//配种公牛
        .set("dosage",param.get("BRED_BULL_NUM"))//冻精消耗
        .set("eventWay","定时输精")//配种方式
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 围产
   * @param param
   * @return
   */
  public static JSONObject setParamPerinatal(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("days",param.get("PREG_DAYS"))//怀孕天数
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 流产
   * @param param
   * @return
   */
  public static JSONObject setParamAbort(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("cowshed",param.get("ABORT_PEN"))//事件牛舍（当前牛舍）
        //其他参数
        .set("diagnoseDate",param.get("ABORT_DIAGNOSIS_DATE"))//流产诊断日期
        .set("reason",param.get("REM"))//流产原因
        .set("days",param.get("PREGNANT_DAYS"))//怀孕天数
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 禁配/解禁
   * @param param
   * @return
   */
  public static JSONObject setParamProhibition(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("cowshed",param.get("PEN"))//事件牛舍（当前牛舍）
        .set("remark",param.get("REM"))
        //其他参数
        .set("reason",param.get("DNB_REASON"))//禁配原因
        .set("updateDate",param.get("UNDNB_DATE"))//解禁日期
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 干奶
   * @param param
   * @return
   */
  public static JSONObject setParamDryMilk(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("driedType",param.get("DRY_TYPE"))//干奶类型
        .set("driedDrug","干奶剂")//干奶药物
        .set("prescriptionName","")//用药
        .set("days",param.get("DRY_PREG_DAYS"))//干奶时怀孕天数
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 去角
   * @param param
   * @return
   */
  public static JSONObject setParamChamfer(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("OTHER_PEN"))//事件牛舍
        .set("method","其他")//去角方式
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 免疫球蛋白
   * @param param
   * @return
   */
  public static JSONObject setParamImmunoglobulin(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("OTHER_PEN"))//事件牛舍
        .set("result",param.get("OTHER_CONTENT"))//检测结果
        .set("ispass",param.get("STANDARD"))//是否合格
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 初乳灌服(513)
   * @param param
   * @return
   */
  public static JSONObject setParamGavage(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("OTHER_PEN"))//事件牛舍
        .set("type","1")//类型
        .set("sugarValue",param.get("OTHER_CONTENT"))//初乳分数
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }
  /**
   * 尿液PH(514)
   * @param param
   * @return
   */
  public static JSONObject setParamUrinePH(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("OTHER_PEN"))//事件牛舍
        .set("urinePh",param.get("OTHER_CONTENT"))//尿液PH
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 初乳收集(515)
   * @param param
   * @return
   */
  public static JSONObject setParamCollect(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("OTHER_PEN"))//事件牛舍
        .set("eventType","1")//类型
        .set("feedWeight",param.get("OTHER_CONTENT"))//初乳分数
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 产后保健（507）
   * @param param
   * @return
   */
  public static JSONObject setParamProtection(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("OTHER_PEN"))//事件牛舍
        .set("eventType","保健")//类型
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 产后护理（423）
   * @param param
   * @return
   */
  public static JSONObject setParamNurse(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("MO_PEN"))//事件牛舍
        .set("eventType","护理")//类型
        .set("useMedicine",param.get("PROTOCOL"))//用药
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 隐乳检测（422）
   * @param param
   * @return
   */
  public static JSONObject setParamCryptic(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("MO_PEN"))//事件牛舍
        .set("diseaseName","CMT")//疾病名称
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 血酮检测（504）
   * @param param
   * @return
   */
  public static JSONObject setParamBloodKetone(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("OTHER_PEN"))//事件牛舍
        .set("bloodKetone",param.get("OTHER_CONTENT"))//检测结果
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 子宫评分（517）
   * @param param
   * @return
   */
  public static JSONObject setParamUterus(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("OTHER_PEN"))//事件牛舍
        .set("uterineScore",param.get("OTHER_CONTENT"))//子宫评分
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 乳头评分（107）
   * @param param
   * @return
   */
  public static JSONObject setParamNipple(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("PEN"))//事件牛舍
        .set("leftAfterScore",param.get("BEHIND_LEFT"))//左后评分
        .set("rightAfterScore",param.get("BEHIND_RIGHT"))//右后评分
        .set("leftBeforeScore",param.get("FRONT_LEFT"))//左前评分
        .set("rightBeforeScore",param.get("FRONT_RIGHT"))//右前评分
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 投磁铁（505）
   * @param param
   * @return
   */
  public static JSONObject setParamMagnet(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("OTHER_PEN"))//事件牛舍
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 免疫（417）
   * @param param
   * @return
   */
  public static JSONObject setParamImmunity(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("MO_PEN"))//事件牛舍
        .set("prescriptionName",param.get("PRO_CON"))//处方名称
        .set("immuneType",param.get("IMMUNE_NAME"))//免疫类型
        .set("immuneNum","初免")//免疫阶段
        .set("diseaseName","免疫")//疾病名称
        .set("healthyType","免疫")//健康类型
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 细菌培养（411）
   * @param param
   * @return
   */
  public static JSONObject setParamGerm(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("MO_PEN"))//事件牛舍
        .set("diseaseName","细菌培养")//疾病名称
        .set("healthyType","细菌培养")//健康类型
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 盲乳头（412）
   * @param param
   * @return
   */
  public static JSONObject setParamBlindNipple(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("MO_PEN"))//事件牛舍
        .set("diseaseName","瞎乳区")//疾病名称
        .set("healthyType","盲乳头")//健康类型
        .set("proCon",param.get("PRO_CON"))//处方名称
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 修蹄（414）
   * @param param
   * @return
   */
  public static JSONObject setParamRepairHooves(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("MO_PEN"))//事件牛舍
        .set("diseaseName",param.get("HEALTH_NAME"))//疾病名称
        .set("eventType",param.get("HOOF_TEAT_TYPE"))//修蹄类型
        .set("healthyType","修蹄")//健康类型
        .set("proCon",param.get("PRO_CON"))//处方名称
        .set("lastDate",param.get("LAST_TEAT_DATE"))//上次修蹄日期
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 产犊（201）
   * @param param
   * @return
   */
  public static JSONObject setParamCalving(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("dystociaScore",param.get("DIFFICULT_SCORE"))//难产评分
        .set("multBirthSelect",param.get("TIRE_NUMBER"))//产犊数
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 犊牛（211）
   * @param param
   * @return
   */
  public static JSONObject setParamCalf(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        //其他参数
        .set("parity","0")//事件胎次
        .set("calfCowNo",param.get("CALVES_ID"))//犊牛名称
        .set("isSurvival",param.get("ALIVE_FLG"))//犊牛状态
        .set("birthWeight",param.get("BIRTH_WEIGHT"))//出生重量
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 断奶（102）
   * @param param
   * @return
   */
  public static JSONObject setParamAblactation(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("remark",param.get("REM"))
        //其他参数
        .set("parity","0")//事件胎次
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 抗生素检测（424）
   * @param param
   * @return
   */
  public static JSONObject setParamAntibiotic(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("PEN"))//事件牛舍
        .set("result","阴性")//检测结果
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 亚临床酮病（425）
   * @param param
   * @return
   */
  public static JSONObject setParamKetosis(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("PEN"))//事件牛舍
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 亚临床乳房炎（426）
   * @param param
   * @return
   */
  public static JSONObject setParamMastitis(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("cowshed",param.get("PEN"))//事件牛舍
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 体况
   * @param param
   * @return
   */
  public static JSONObject setParamBodyScore(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("assessScore",param.get("SCORE"))//评分分数
        .set("cowshed",param.get("PEN"))//事件牛舍（当前牛舍）
        .set("cowType",param.get("COW_TYPE"))//事件牛舍类型(当前牛舍类型)
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 体测
   * @param param
   * @return
   */
  public static JSONObject setParamBodyMeasure(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("bodyHeight",param.get("HEIGHT"))//体高
        .set("bodyWeight",param.get("WEIGHT"))//体重
        .set("cowshed",param.get("PEN"))//事件牛舍（当前牛舍）
        .set("cowType",param.get("COW_TYPE"))//事件牛舍类型(当前牛舍类型)
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 步态
   * @param param
   * @return
   */
  public static JSONObject setParamGaitScore(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("gaitScore",param.get("OTHER_CONTENT"))//步态评分
        .set("cowshed",param.get("PEN"))//事件牛舍（当前牛舍）
        .set("cowType",param.get("COW_TYPE"))//事件牛舍类型(当前牛舍类型)
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }

  /**
   * 同期
   * @param param
   * @return
   */
  public static JSONObject setParamSync(cn.hutool.json.JSONObject param){
    return JSON.parseObject(JSONUtil.createObj()
        //公共参数
        .set("cowNo",param.get("COW_NAME"))//牛号
        .set("eventDate",param.get("EVENT_DATE"))//事件时间
        .set("addName",param.get("ADD_NAME"))//录入人员
        .set("operName",param.get("WORK_NAME"))//工作人员
        .set("parity",param.get("EV_LACT"))//事件胎次
        .set("remark",param.get("REM"))
        //其他参数
        .set("syncName",param.get("OTHER_CONTENT"))//处理方式
        .set("cowshed",param.get("OTHER_PEN"))//事件牛舍
        .set("cowType",param.get("COW_TYPE"))//事件牛舍类型
        .set("createTime",param.get("ADD_DATE"))//录入时间
        .toString());
  }
}
